<?php
/**
 * Widget API: Elementor Widgets
 *
 * @package karigari
 * @subpackage Widgets
 * @since 1.0.0
 */

add_action( 'elementor/widgets/widgets_registered', 'karigari_elementor_widgets' );
/**
 * Elementor Widgets
 */
function karigari_elementor_widgets() {

	require KARIGARI_TH_ROOT . '/elementor/product-categories.php';
	require KARIGARI_TH_ROOT . '/elementor/product-trending.php';
	require KARIGARI_TH_ROOT . '/elementor/product-by-categories.php';
	require KARIGARI_TH_ROOT . '/elementor/category-gallery.php';
	require KARIGARI_TH_ROOT . '/elementor/client.php';
	require KARIGARI_TH_ROOT . '/elementor/banner.php';
	require KARIGARI_TH_ROOT . '/elementor/slider.php';
	require KARIGARI_TH_ROOT . '/elementor/servicebox.php';
	require KARIGARI_TH_ROOT . '/elementor/blog.php';
	require KARIGARI_TH_ROOT . '/elementor/text-carousel.php';
	require KARIGARI_TH_ROOT . '/elementor/portfolio.php';
	require KARIGARI_TH_ROOT . '/elementor/title.php';
	require KARIGARI_TH_ROOT . '/elementor/testimonial.php';
	require KARIGARI_TH_ROOT . '/elementor/timer.php';
	require KARIGARI_TH_ROOT . '/elementor/video.php';
	require KARIGARI_TH_ROOT . '/elementor/cms-block.php';

}

add_action(
	'elementor/init',
	function() {
		\Elementor\Plugin::$instance->elements_manager->add_category(
			'karigari',
			array(
				'title' => esc_html__( 'karigari', 'karigari' ),
				'icon'  => 'fa fa-plug',
			)
		);
	}
);


add_action('elementor/editor/before_enqueue_scripts', function() {
	wp_enqueue_script( 'plugin-admin-custom', KARIGARI_TH_URL .'/assets/js/admin-custom.js', array(), '1.0.0', true );
	wp_localize_script( 'plugin-admin-custom', 'admin_ajax_object', array( 'ajax_url' => admin_url( 'admin-ajax.php' ) ) );
});