<?php
/**
 * Footer Options
 *
 * @package karigari
 * @subpackage Core
 * @since karigari 1.0
 * @version 1.0
 */

$options_sidebar = array();
global $wp_registered_sidebars;
foreach ( $wp_registered_sidebars as $sidebar ) {
	$options_sidebar[$sidebar['id']] = array( 'value' => $sidebar['name'] );
}

Redux::setSection(
	'karigari_options',
	array(
		'title'            => esc_html__( 'Footer', 'karigari' ),
		'id'               => 'footer-redux',
		'icon'             => 'el el-arrow-down',
		'customizer_width' => '500px',
	)
);

Redux::setSection(
	'karigari_options',
	array(
		'title'      => esc_html__( 'Footer Top', 'karigari' ),
		'id'         => 'footer-top-area',
		'subsection' => true,
		'desc'       => esc_html__( 'This section contains options for footer.', 'karigari' ),
		'fields'     => array(

			array(
				'id'      => 'footer-top',
				'type'    => 'switch',
				'title'   => esc_html__( 'Footer Top', 'karigari' ),
					'on'  => 'On',
					'off' => 'Off',
				'default' => 0,
			),


			array(
				'id'         => 'footer-field',
				'type'       => 'repeater',
				'title'      => esc_html__( 'Footer Top Content', 'karigari' ),
				'subtitle'   => esc_html__( '', 'karigari' ),
				'desc'       => esc_html__( '', 'karigari' ),
				'fields'     => array(
					array(
						'id'          => 'title_field',
						'type'        => 'text',
						'placeholder' => esc_html__( 'Title', 'karigari' ),
					),
					array(
						'id'          => 'text_field',
						'type'        => 'editor',
						'placeholder' => esc_html__( 'Text Field', 'karigari' ),
					),
				)
			),
			
		),
	),
);


Redux::setSection(
	'karigari_options',
	array(
		'title'      => esc_html__( 'Footer Style', 'karigari' ),
		'id'         => 'footer-opt',
		'subsection' => true,
		'desc'       => esc_html__( 'This section contains options for footer.', 'karigari' ),
		'fields'     => array(

			array(
				'id'      => 'footer-style',
				'type'    => 'image_select',
				'title'   => esc_html__( 'Footer Style', 'karigari' ),
				'options' => array(
					'footer-style-1' => array(
						'title' => esc_html__( 'Footer Style 1', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/footer_1.jpg',
					),
				),
				'default' => 'footer-style-1',
			),

			array(
				'id'      => 'footer-layout',
				'type'    => 'image_select',
				'title'   => esc_html__( 'Footer Layout', 'karigari' ),
				'options' => array(
					'1' => array(
						'title' => esc_html__( 'One Column', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/footer-12.png',
					),
					'2' => array(
						'title' => esc_html__( 'Two Column', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/footer6+6.png',
					),
					'3' => array(
						'title' => esc_html__( 'Three Column', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/footer4+4+4.png',
					),
					'4' => array(
						'title' => esc_html__( 'Four Column', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/footer3+3+3+3.png',
					),
					'5' => array(
						'title' => esc_html__( 'Five Column', 'gadgetly' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/footer3+3+3+3+12.png',
					),
					'6' => array(
						'title' => esc_html__( 'six Column', 'gadgetly' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/footer3+3+3+3+12.png',
					)
				),
				'default' => '4',
			),

			array(
				'id'      => 'footer-type',
				'type'    => 'switch',
				'title'   => esc_html__( 'Footer Set Option', 'karigari' ),
					'on' => 'Color',
					'off' => 'Image',
				'default' => 1,
			),

			array(
				'id'               => 'footer-background',
				'type'             => 'background',
				'output'           => array( 'footer.site-footer' ),
				// 'required'         => array( 'footer-type', '=', 0 ),
				'background-color' => false,
				'title'            => esc_html__( 'Footer Background', 'karigari' ),
				'transparent'      => false,
				'output'		   => array('footer .site-info, footer .site-info'),
			),

			array(
				'id'          => 'footer-color',
				'type'        => 'color',
				'title'       => esc_html__( 'Footer Color', 'karigari' ),
				'subtitle'    => esc_html__( 'Choose Footer Background Color', 'karigari' ),
				// 'required'    => array( 'footer-type', '=', 1 ),
				'mode'        => 'background',
				'transparent' => false,
				'output'	=> array('footer.site-footer , footer .site-info'),
			),

			array(
				'id'          => 'footer-title-color',
				'type'        => 'color',
				'title'       => esc_html__( 'Footer Title Color', 'karigari' ),
				'mode'        => 'background',
				'transparent' => false,
				'output'	=> array('color'=>'footer h3.widget-title, footer .widget-wrap .widget .widget-title'),
			),

			array(
				'id'          => 'footer-text-color',
				'type'        => 'color',
				'title'       => esc_html__( 'Footer Text Color', 'karigari' ),
				'mode'        => 'background',
				'transparent' => false,
				'output'	=> array('color'=>'footer, footer.site-footer a, footer.site-footer li, footer div, footer .site-info .copyright a, footer .copyright .copyright-left'),
			),

			array(
				'id'          => 'footer-link-color',
				'type'        => 'color',
				'title'       => esc_html__( 'Footer Link Hover Color', 'karigari' ),
				'mode'        => 'background',
				'transparent' => false,
				'output'	=> array('color'=>'footer.site-footer a:hover', 'background' => 'footer input[type="submit"]:hover'),
			),

		),
	)
);

Redux::setSection(
	'karigari_options',
	array(
		'title'      => esc_html__( 'Footer Bottom', 'karigari' ),
		'id'         => 'footer-bottom-area',
		'subsection' => true,
		'desc'       => esc_html__( 'This section contains options for footer.', 'karigari' ),
		'fields'     => array(

			array(
				'id'      => 'footer-bottom',
				'type'    => 'switch',
				'title'   => esc_html__( 'Footer Bottom', 'karigari' ),
					'on'  => 'On',
					'off' => 'Off',
				'default' => 0,
			),
			
			array(
				'id'       => 'footer-bottom-content',
				'type'     => 'editor',
				'required' => array( 'footer-bottom', '=', 1 ),
				'title'    => esc_html__( 'Footer Bottom Content', 'karigari' ),
				'subtitle' => sprintf(
					wp_kses(
						__( 'You can use shortcodes or content in your Footer Bottom.', 'karigari' ),
						array(
							'span' => array(
								'class' => true,
							),
							'br'   => array(),
						)
					)
				),
			),

		),
	)
);

Redux::setSection(
	'karigari_options',
	array(
		'title'      => esc_html__( 'Footer Copyright', 'karigari' ),
		'id'         => 'footer-copyright',
		'subsection' => true,
		'desc'       => esc_html__( 'This section contains options for footer.', 'karigari' ),
		'fields'     => array(

			array(
				'id'       => 'copyright-left',
				'type'     => 'editor',
				'title'    => esc_html__( 'Copyright Left', 'karigari' ),
				'default'  => esc_html__( 'Copyright 2024, All Rights Reserved.', 'karigari' ),
				'subtitle' => sprintf(
					wp_kses(
						__( 'You can use following shortcodes in your footer text: <br><span class="code">[karigari-copyright]</span><span class="code">[karigari-site-title]</span> <span class="code">[karigari-year]</span> <span class="code">[karigari-social-media]</span> <span class="code">[karigari-footer-menu]</span>', 'karigari' ),
						array(
							'span' => array(
								'class' => true,
							),
							'br'   => array(),
						)
					)
				),
			),

			array(
				'id'       => 'copyright-right',
				'type'     => 'editor',
				'title'    => esc_html__( 'Copyright Right', 'karigari' ),
				'subtitle' => sprintf(
					wp_kses(
						__( 'You can use following shortcodes in your footer text: <br><span class="code">[karigari-copyright]</span><span class="code">[karigari-site-title]</span> <span class="code">[karigari-year]</span> <span class="code">[karigari-social-media]</span> <span class="code">[karigari-footer-menu]</span>', 'karigari' ),
						array(
							'span' => array(
								'class' => true,
							),
							'br'   => array(),
						)
					)
				),
			),
		),
	)
);
