<?php
/**
 * Global Options
 *
 * @package karigari
 * @subpackage Core
 * @since karigari 1.0
 * @version 1.0
 */

Redux::setSection(
	'karigari_options',
	array(
		'title'  => esc_html__( 'Global Theme Options', 'karigari' ),
		'id'     => 'global-opt',
		'icon'   => 'el el-website',
		'desc'   => esc_html__( 'This section contains options for Global Theme Options.', 'karigari' ),
		'fields' => array(

			array(
				'id'      => 'dark-light-mode',
				'type'    => 'switch',
				'title'   => esc_html__( 'Dark/Light Mode', 'karigari' ),
				'on' => 'Light',
				'off' => 'Dark',
				'default' => 1,
			),

			array(
				'id'      => 'rtl',
				'type'    => 'button_set',
				'title'   => esc_html__( 'Theme RTL', 'karigari' ),
				'options' => array(
					'ltr' => 'LTR', 
					'rtl' => 'RTL'
				 ), 
				'default' => 'ltr'
			),

			array(
				'id'          => 'box-bg-color',
				'type'        => 'color',
				'title'       => esc_html__( 'Box Background Color', 'karigari' ),
				'required'    => array( 'theme-layout', '=', '4' ),
				'transparent' => false,
			),

			array(
				'id'        => 'box-bg-img',
				'type'      => 'media',
				'url'       => false,
				'title'     => esc_html__( 'Upload Box Background Image', 'karigari' ),
				'read-only' => false,
				'required'  => array( 'theme-layout', '=', '4' ),
			),

			array(
				'id'          => 'body-bg-color',
				'type'        => 'color',
				'title'       => esc_html__( 'Body Background Color', 'karigari' ),
				'transparent' => false,
				'output'   => array('background-color' => 'body'),
			),


			array(
				'id'               => 'body-background',
				'type'             => 'background',
				'output'           => array( 'body' ),
				// 'required'         => array( 'footer-type', '=', 0 ),
				'background-color' => false,
				'title'            => esc_html__( 'Body Background', 'hunting' ),
				'transparent'      => false,
				'output'		   => array('body'),
			), 

			
			array(
				'id'       => 'container-width',
				'type'     => 'dimensions',
				'title'    => esc_html__( 'Container Width', 'karigari' ),
				'compiler' => 'true',
				// 'output'   => array( '.container' ),
				'height'   => false,
				'default'  => array(
				'width'   => '1350px',
				),
				'units'    => array( 'px', 'em' ),
			),
			array(
				'id'      => 'opt-backtotop',
				'type'    => 'switch',
				'title'   => esc_html__( 'Back to top', 'karigari' ),
				'on'  => esc_html__( 'On', 'karigari' ),
				'off' => esc_html__( 'Off', 'karigari' ),
				'default' => 1,
			),
			array(
				'id'      => 'backtotop-de-img',
				'type'    => 'switch',
				'title'   => esc_html__( 'Back to top Style', 'karigari' ),
				'on'  => esc_html__( 'Default', 'karigari' ),
				'off' => esc_html__( 'Image', 'karigari' ),
				'default' => 1,
			),
			array(
				'id'        => 'backtotop-img',
				'type'      => 'media',
				'url'       => false,
				'title'     => esc_html__( 'Upload back to top Image', 'karigari' ),
				'read-only' => false,
				'required'  => array( 'backtotop-de-img', '=', 0 ),
			),

		),
	)
);

