<?php
/**
 * Header Options
 *
 * @package karigari
 * @subpackage Core
 * @since karigari 1.0
 * @version 1.0
 */

Redux::setSection(
	'karigari_options',
	array(
		'title'            => esc_html__( 'Header', 'karigari' ),
		'id'               => 'header-redux',
		'icon'             => 'el el-arrow-up',
		'customizer_width' => '500px',
	)
);

Redux::setSection(
	'karigari_options',
	array(
		'title'      => esc_html__( 'Header Top', 'karigari' ),
		'id'         => 'header-top-opt',
		'subsection' => true,
		'desc'       => esc_html__( 'This section contains options for header.', 'karigari' ),
		'fields'     => array(

			array(
				'id'       => 'header-top-nav-bar',
				'type'     => 'editor',
				'title'    => esc_html__( 'Top Navbar Text (Notice)', 'karigari' ),
			),

			array(
				'id'      => 'opt-top',
				'type'    => 'switch',
				'title'   => esc_html__( 'Header Top', 'karigari' ),
				'options' => array(
					'on'  => 'On',
					'off' => 'Off',
				),
				'default' => 0,
			),

			 array(
				'id'       => 'header-top',
				'type'     => 'sorter',
				'title'    => 'Header Top Elements',
				'subtitle' => 'You can add multiple drop areas or columns.  Note: Change your details like phone number, e-mail, address etc from "Site Info" tab.',
				// 'required' => array( 'opt-top', '=', 1 ),
				'compiler' => 'true',
				'options'  => array(
					'Left'   => array(
						'text'   => 'Text',
					),
					'center'  => array(
						'email'   => 'Email',
					),
					'Right'  => array(
						'phone' => 'Phone Number',
					),
					'Unused' => array(
						'clear' => 'Clearance Sales',
						'phone' => 'Phone Number',
						'lang-menu'  => 'Language Menu',
						'currency-menu'  => 'Currency Menu',
					),
				),
			), 
			 array(
				'id'      => 'header-info-text',
				'type'    => 'editor',
				'title'   => esc_html__( 'Text', 'karigari' ),
				'default' => esc_html__( 'We are creative, ambitious and ready for challenges! Hire Us', 'karigari' ),
			),
			array(
				'id'      => 'header-lang-menu',
				'type'    => 'text',
				'title'   => esc_html__( 'Add Shortcode (Language Menu)', 'karigari' ),
			),
			array(
				'id'      => 'header-currency-menu',
				'type'    => 'text',
				'title'   => esc_html__( 'Add Shortcode (Currency Menu)', 'karigari' ),
			), 

			array(
				'id'      => 'header-clear-text',
				'type'    => 'editor',
				'title'   => esc_html__( 'Clearance', 'karigari' ),
			),

		),
	)
);

Redux::setSection(
	'karigari_options',
	array(
		'title'      => esc_html__( 'Header Style', 'karigari' ),
		'id'         => 'header-type',
		'subsection' => true,
		'desc'       => esc_html__( 'This section contains options for header.', 'karigari' ),
		'fields'     => array(

			array(
				'id'      => 'header-style',
				'type'    => 'image_select',
				'title'   => esc_html__( 'Header Style', 'karigari' ),
				'options' => array(
					'header-style-1' => array(
						'title' => esc_html__( '1st Variation', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/header_1.jpg',
					),
				),
				'default' => 'header-style-1',
			),

			array(
				'id'      => 'header-style',
				'type'    => 'image_select',
				'title'   => esc_html__( 'Header Style', 'karigari' ),
				'options' => array(
					'header-style-1' => array(
						'title' => esc_html__( '1st Variation', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/header_1.jpg',
					),
					'header-style-2' => array(
						'title' => esc_html__( '2st Variation', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/header_2.jpg',
					),
					'header-style-3' => array(
						'title' => esc_html__( '3st Variation', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/header_3.jpg',
					),
					'header-style-4' => array(
						'title' => esc_html__( '4st Variation', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/header_4.jpg',
					),
					'header-style-5' => array(
						'title' => esc_html__( '5st Variation', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/header_5.jpg',
					),
				),
				'default' => 'header-style-1',
			),

			
			array(
				'id'      => 'container-option',
				'type'    => 'button_set',
				'title'   => esc_html__( 'Header Container', 'karigari' ),
				'options' => array(
					'container-01' => 'Default', 
					'container-02' => 'Full'
				 ), 
				'default' => 'container-01'
			),
			array(
				'id'      => 'mobile-header-option',
				'type'    => 'button_set',
				'title'   => esc_html__( 'Mobile Header Option', 'karigari' ),
				'options' => array(
					'mobile-header-01' => 'On', 
					'mobile-header-02' => 'Off'
				 ), 
				'default' => 'mobile-header-01'
			),
			array(
				'id'      => 'opt-search',
				'type'    => 'switch',
				'title'   => esc_html__( 'WooCommerce Search', 'karigari' ),
					'on'  => 'On',
					'off' => 'Off',
				'default' => 1,
			),

			array(
				'id'       => 'hamburger-content',
				'type'     => 'editor',
				'title'    => esc_html__( 'Hamburger Menu Content', 'karigari' ),
				'subtitle' => sprintf(
					wp_kses(
						__( 'You can use shortcodes or content in your Footer Top.', 'karigari' ),
						array(
							'span' => array(
								'class' => true,
							),
							'br'   => array(),
						)
					)
				),
			),

			

		),
	)
);

Redux::setSection(
	'karigari_options',
	array(
		'title'      => esc_html__( 'Header Layout', 'karigari' ),
		'id'         => 'header-layout-opt',
		'subsection' => true,
		'desc'       => esc_html__( 'This section contains options for header.', 'karigari' ),
		'fields'     => array(

			array(
				'id'      => 'header-transparent',
				'type'    => 'switch',
				'title'   => esc_html__( 'Header Transparent', 'karigari' ),
				'on' => 'Yes',
				'off' => 'No',
				'default' => 0,
			),

			array(
				'id'      => 'header-sticky',
				'type'    => 'switch',
				'title'   => esc_html__( 'Header Sticky', 'karigari' ),
				'on' => 'Yes',
				'off' => 'No',
				'default' => 0,
			),

			array(
				'id'      => 'header-color',
				'type'    => 'switch',
				'title'   => esc_html__( 'Header Colors', 'karigari' ),
				'on' => 'Default',
				'off' => 'Custom',
				'default' => 1,
			),

			array(
				'id'          => 'header_background_color',
				'type'        => 'color',
				'title'       => esc_html__( 'Header Background Color', 'karigari' ),
				'required'    => array( 'header-color', '=', 0 ),
				'subtitle'    => esc_html__( 'Choose Header Background Color', 'karigari' ),
				'transparent' => false,
				'output'   => array('background-color' => '.header-line, .home .header_style.site-header.transparent, header.site-header.sticky.header-style-1 .header-spacing'),
			),

			array(
				'id'          => 'header_text_color',
				'type'        => 'color',
				'title'       => esc_html__( 'Header Text Color', 'karigari' ),
				'required'    => array( 'header-color', '=', 0 ),
				'transparent' => false,
				'output'   => array("color"=>".site-header #primary-menu a,  .site-header #site-navigation ul.nav-menu > li.menu-item.menu-item-has-children > a::before,.search-wrap, body .navbar-woocommerce a, body .right-header .mini-cart .dropdown-back, body .right-header .mini-cart .dropdown-back .basket-item-count #mini-cart-count, header .head-hamburger-menu svg, .header_style.site-header #site-navigation ul.nav-menu li.menu-item a, #site-navigation .navbar-toggler > svg" , "stroke" => ".navbar-woocommerce a > svg, .header-style-1.header_style .site-branding a svg, .header-style-1 .search-icon .search-wrap svg, .right-header .search-wrap > svg, body .header_style .site-branding a svg, body .search-icon .search-wrap svg", "background" => ".site-header ul li>a::after, #mega-menu-wrap-header-menu #mega-menu-header-menu>li.mega-menu-item>a.mega-menu-link::before, header .head-hamburger-menu .humburger_icon::before, header .head-hamburger-menu .humburger_icon #icon::before, header .head-hamburger-menu .humburger_icon #icon::after"),
			),
			array(
				'id'      => 'top-header-color',
				'type'    => 'switch',
				'title'   => esc_html__( 'Top Header Colors', 'karigari' ),
				'on' => 'Default',
				'off' => 'Custom',
				'default' => 1,
			),

			array(
				'id'          => 'top-header_background_color',
				'type'        => 'color',
				'title'       => esc_html__( 'Header Top Background Color', 'karigari' ),
				'required'    => array( 'top-header-color', '=', 0 ),
				'subtitle'    => esc_html__( 'Choose Header Top Background Color', 'karigari' ),
				'transparent' => false,
				'output'   => array('background-color' => '.header-top'),
			),

			array(
				'id'          => 'top-header_text_color',
				'type'        => 'color',
				'title'       => esc_html__( 'Top Header Text Color', 'karigari' ),
				'required'    => array( 'top-header-color', '=', 0 ),
				'transparent' => false,
				'output'   => array("color" => ".header-top .header-top-left span"),
			),
		),
	)
);


