<?php
/**
 * Loader Options
 *
 * @package karigari
 * @subpackage Core
 * @since karigari 1.0
 * @version 1.0
 */

Redux::setSection(
	'karigari_options',
	array(
		'title'  => esc_html__( 'Site Loader', 'karigari' ),
		'id'     => 'loader-opt',
		'icon'   => 'el el-refresh',
		'desc'   => esc_html__( 'This section contains options for Site Loader.', 'karigari' ),
		'fields' => array(

			array(
				'id'        => 'site-loader',
				'type'      => 'media',
				'url'       => false,
				'title'     => esc_html__( 'Loader Image', 'karigari' ),
				'read-only' => false,
				'default'   => array( 'url' => plugin_dir_url( __DIR__ ) . '/assets/images/loader.gif' ),
				'subtitle'  => esc_html__( 'Upload loader image for your Website. Remove image to disable loader screen', 'karigari' ),
			),
			array(
				'id'          => 'bg-loader-color',
				'type'        => 'color',
				'title'       => esc_html__( 'Loader Background Color', 'karigari' ),
				'transparent' => false,
				'default'     => '#ffffff',
				'output'   => array('background-color' => '.site-loader'),
			),

		),
	)
);

