<?php
/**
 * Coming Soon Options
 *
 * @package karigari
 * @subpackage Core
 * @since karigari 1.0
 * @version 1.0
 */

Redux::setSection(
	'karigari_options',
	array(
		'title'  => esc_html__( 'Coming Soon ', 'karigari' ),
		'id'     => 'comingsoon-opt',
		'icon'   => 'el el-envelope',
		'fields' => array(


			array(
				'id'       => 'opt-comingSoon',
				'type'     => 'switch',
				'title'    => esc_html__( 'Coming Soon On/Off', 'karigari' ),
				'on' => 'On',
				'off' => 'Off',
				'default'  => '0',
			),

			array(
				'id'    => 'comingsoon-date',
				'type'  => 'date',
                'date-format' => 'yy-mm-dd',
				'title' => esc_html__( 'Enter Date', 'karigari' ),
				'required' => array('opt-comingSoon','equals', 1 ),

			),
			array(
				'id'        => 'comingsoon-image',
				'type'      => 'background',
				'background-color' => false,
				'url'       => true,
				'title'     => esc_html__( 'Upload Image', 'karigari' ),
				'read-only' => false,
				'output'   		   => array('.coming-soon-page'),
				'required' => array('opt-comingSoon','equals', 1 ),

			),
			array(
				'id'    => 'comingsoon-title',
				'type'  => 'textarea',
				'title' => esc_html__( 'Coming Soon Title', 'karigari' ),
				'required' => array('opt-comingSoon','equals', 1 ),

			),
			array(
				'id'      => 'comingsoon-sc',
				'type'    => 'text',
				'title'   => esc_html__( 'Add Shortcode (Coming Soon)', 'karigari' ),
			),	
			array(
				'id'      => 'comingsoon-text',
				'type'    => 'editor',
				'title'   => esc_html__( 'Coming Soon Text', 'karigari' ),
				'required' => array('opt-comingSoon','equals', 1 ),

			),
		),
	)
);

