<?php
/**
 * Page Header Options
 *
 * @package karigari
 * @subpackage Core
 * @since karigari 1.0
 * @version 1.0
 */

Redux::setSection(
	'karigari_options',
	array(
		'title'  => esc_html__( 'Page Header Breadcrumbs', 'karigari' ),
		'id'     => 'page-header-opt',
		'icon'   => 'el el-cog',
		'desc'   => esc_html__( 'This section contains options for Page Header.', 'karigari' ),
		'fields' => array(

			array(
				'id'      => 'ph-alignment',
				'type'    => 'select',
				'title'   => esc_html__( 'Page Header Alignment', 'karigari' ),
				'options' => array(
					'1' => 'Left',
					'2' => 'Right',
					'3' => 'Center',
					'4' => 'default',
				),
				'default' => '4',
			),

			array(
				'id'      => 'opt-breadcrumbs',
				'type'    => 'switch',
				'title'   => esc_html__( 'Breadcrumbs', 'karigari' ),
				'on'  => 'On',
				'off' => 'Off',
				'default' => 1,
			),

			array(
				'id'      => 'ph-type',
				'type'    => 'switch',
				'title'   => esc_html__( 'Page Header Option', 'karigari' ),
					'on' => 'Color',
					'off' => 'Image',
				'default' => 1,
			),

			array(
				'id'          => 'ph-bg-color',
				'type'        => 'color',
				'title'       => esc_html__( 'Background Color', 'karigari' ),
				'required'    => array( 'ph-type', '=', 1 ),
				// 'default'     => '#232434',
				'mode'        => 'background',
				'transparent' => false,
				'output'   => array('background-color' => '.viewport .page-header,  .page-header.inner-header-opacity::after'),
			),
			array(
				'id'          => 'ph-text-color',
				'type'        => 'color',
				'title'       => esc_html__( 'Text Color', 'karigari' ),
				'required'    => array( 'ph-type', '=', 1 ),
				// 'default'     => '#ffffff',
				'mode'        => 'color',
				'transparent' => false,
				'output'   => array('color' => '.viewport .page-header .breadcrumbs #crumbs a, .viewport .page-header .breadcrumbs #crumbs, .viewport #crumbs .active::after, .page-header .title, .page-header .breadcrumbs #crumbs, .page-header .breadcrumbs #crumbs a'),
			),

			array(
				'id'               => 'ph-background',
				'type'             => 'background',
				'required'         => array( 'ph-type', '=', 0 ),
				'background-color' => false,
				'title'            => esc_html__( 'Page Header Background', 'karigari' ),
				'transparent'      => false,
				'output'   		   => array('.viewport .page-header'),
			),

			array(
				'id'       => 'ph-max-height',
				'type'     => 'dimensions',
				'title'    => esc_html__( 'Page Header Height', 'karigari' ),
				'compiler' => 'true',
				'width'    => false,
				'units'    => array( 'em', 'px' ),
				'output'   => array( '.viewport .page-header' ),
			),

			array(
				'id'             => 'ph-top-padding',
				'type'           => 'spacing',
				'mode'           => 'padding',
				'all'            => false,
				'top'            => true,
				'bottom'         => true,
				'right'          => false,
				'left'           => false,
				'units'          => array( 'em', 'px' ),
				'units_extended' => 'true',             
				'title'          => esc_html__( 'Top Padding Option', 'karigari' ),
				'output'         => array( '.viewport .page-header' ),
			),

		),
	)
);

