<?php
/**
 * Page Options
 *
 * @package karigari
 * @subpackage Core
 * @since karigari 1.0
 * @version 1.0
 */

Redux::setSection(
	'karigari_options',
	array(
		'title'  => esc_html__( 'Page', 'karigari' ),
		'id'     => 'page-opt',
		'icon'   => 'el-icon-align-justify',
		'desc'   => esc_html__( 'This section contains options for Page.', 'karigari' ),
		'fields' => array(

			array(
				'id'      => 'page-alignment',
				'type'    => 'image_select',
				'title'   => esc_html__( 'Page Alignment', 'karigari' ),
				'options' => array(
					'1' => array(
						'title' => esc_html__( 'Right Sidebar', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/right-side.jpg',
					),
					'2' => array(
						'title' => esc_html__( 'Left Sidebar', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/left-side.jpg',
					),
					'3' => array(
						'title' => esc_html__( 'Full Width', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/single-column.jpg',
					),
				),
				'default' => '1',
			),

			array(
				'id'      => 'search-alignment',
				'type'    => 'image_select',
				'title'   => esc_html__( 'Search Alignment', 'karigari' ),
				'options' => array(
					'1' => array(
						'title' => esc_html__( 'Right Sidebar', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/right-side.jpg',
					),
					'2' => array(
						'title' => esc_html__( 'Left Sidebar', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/left-side.jpg',
					),
					'3' => array(
						'title' => esc_html__( 'Full Width', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/single-column.jpg',
					),
				),
				'default' => '1',
			),

			array(
				'id'      => 'archive-alignment',
				'type'    => 'image_select',
				'title'   => esc_html__( 'Archive Alignment', 'karigari' ),
				'options' => array(
					'1' => array(
						'title' => esc_html__( 'Right Sidebar', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/right-side.jpg',
					),
					'2' => array(
						'title' => esc_html__( 'Left Sidebar', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/left-side.jpg',
					),
					'3' => array(
						'title' => esc_html__( 'Full Width', 'karigari' ),
						'img'   => plugin_dir_url( __DIR__ ) . '/assets/images/single-column.jpg',
					),
				),
				'default' => '1',
			),
		),
	)
);

