<?php
/**
 * Portfolio Options
 *
 * @package karigari
 * @subpackage Core
 * @since karigari 1.0
 * @version 1.0
 */

Redux::setSection(
	'karigari_options',
	array(
		'title'  => esc_html__( 'Site Info', 'karigari' ),
		'id'     => 'site-info-opt',
		'icon'   => 'el el-map-marker',
		'desc'   => esc_html__( 'This section contains options for footer.', 'karigari' ),
		'fields' => array(

			array(
				'id'      => 'info-address',
				'type'    => 'text',
				'title'   => esc_html__( 'Address', 'karigari' ),
				'default' => '7515 Carriage Court, Coachella, CA, 92236 USA',
			),

			array(
				'id'      => 'info-phone',
				'type'    => 'text',
				'title'   => esc_html__( 'Phone', 'karigari' ),
				'default' => '(+001) 123-456-7890',
			),

			array(
				'id'      => 'opt-phone-two',
				'type'    => 'switch',
				'title'   => esc_html__( 'Alternate Phone', 'karigari' ),
					'on'  => 'On',
					'off' => 'Off',
				'default' => 0,
			),

			array(
				'id'       => 'info-phone-two',
				'type'     => 'text',
				'required' => array( 'opt-phone-two', '=', 1 ),
				'default'  => '(+001) 123-456-7890',
			),

			array(
				'id'       => 'info-email',
				'type'     => 'text',
				'title'    => esc_html__( 'Email', 'karigari' ),
				'validate' => 'email',
				'msg'      => 'custom error message',
				'default'  => 'karigari@templatetrip.com',
			),

			array(
				'id'      => 'opt-email-two',
				'type'    => 'switch',
				'title'   => esc_html__( 'Alternate Email', 'karigari' ),
					'on'  => 'On',
					'off' => 'Off',
				'default' => 0,
			),

			array(
				'id'       => 'info-email-two',
				'type'     => 'text',
				'required' => array( 'opt-email-two', '=', 1 ),
				'validate' => 'email',
				'msg'      => 'custom error message',
				'default'  => 'karigari@templatetrip.com',
			),

			array(
				'id'      => 'info-hours',
				'type'    => 'text',
				'title'   => esc_html__( 'Office Time', 'karigari' ),
				'default' => '8.00am to 7.00pm',
			),
			
			array(
				'id'      => 'info-social',
				'type'    => 'sortable',
				'title'   => esc_html__( 'Social Media', 'karigari' ),
				'subtitle'     => esc_html__( 'Leave blank to hide icons', 'karigari' ),
				'label'   => true,
				'options' => array(
					'facebook'    => '',
					'x-twitter' => '',
					'instagram'   => '',
					'vimeo'   => '',
					'linkedin'    => '',
					'skype'       => '',
					'youtube'     => '',
					'github'      => '',
				),
			),

		),
	)
);
