<?php
/**
 * Typography Options
 *
 * @package karigari
 * @subpackage Core
 * @since karigari 1.0
 * @version 1.0
 */

Redux::setSection(
	'karigari_options',
	array(
		'title'  => esc_html__( 'Product Sharing', 'karigari' ),
		'id'     => 'sharing-opt',
		'icon'   => 'el el-share-alt',
		'desc'   => esc_html__( 'This section contains options for Social.', 'karigari' ),
		'fields' => array(

			array(
				'id'      => 'opt_fb_shar',
				'type'    => 'switch',
				'title'   => esc_html__( 'Facebook', 'karigari' ),
				'options' => array(
					'yes' => esc_html__( 'On', 'karigari' ),
					'no'  => esc_html__( 'Off', 'karigari' ),
				),
				'default' => 1,
			),

			array(
				'id'      => 'opt_twitter_shar',
				'type'    => 'switch',
				'title'   => esc_html__( 'Twitter', 'karigari' ),
				'options' => array(
					'yes' => esc_html__( 'On', 'karigari' ),
					'no'  => esc_html__( 'Off', 'karigari' ),
				),
				'default' => 1,
			),

			array(
				'id'      => 'opt_linkedin_shar',
				'type'    => 'switch',
				'title'   => esc_html__( 'Linkedin', 'karigari' ),
				'options' => array(
					'yes' => esc_html__( 'On', 'karigari' ),
					'no'  => esc_html__( 'Off', 'karigari' ),
				),
				'default' => 1,
			),

			array(
				'id'      => 'opt_pinterest_shar',
				'type'    => 'switch',
				'title'   => esc_html__( 'Pinterest', 'karigari' ),
				'options' => array(
					'yes' => esc_html__( 'On', 'karigari' ),
					'no'  => esc_html__( 'Off', 'karigari' ),
				),
				'default' => 0,
			),

			array(
				'id'      => 'opt_tumblr_shar',
				'type'    => 'switch',
				'title'   => esc_html__( 'Tumblr', 'karigari' ),
				'options' => array(
					'yes' => esc_html__( 'On', 'karigari' ),
					'no'  => esc_html__( 'Off', 'karigari' ),
				),
				'default' => 0,
			),

			array(
				'id'      => 'opt_email_shar',
				'type'    => 'switch',
				'title'   => esc_html__( 'Email', 'karigari' ),
				'options' => array(
					'yes' => esc_html__( 'On', 'karigari' ),
					'no'  => esc_html__( 'Off', 'karigari' ),
				),
				'default' => 0,
			),

			array(
				'id'      => 'opt_whats_shar',
				'type'    => 'switch',
				'title'   => esc_html__( 'Whatsapp', 'karigari' ),
				'options' => array(
					'yes' => esc_html__( 'On', 'karigari' ),
					'no'  => esc_html__( 'Off', 'karigari' ),
				),
				'default' => 0,
			),

		),
	)
);

