<?php
/**
 * Typography Options
 *
 * @package karigari
 * @subpackage Core
 * @since karigari 1.0
 * @version 1.0
 */

Redux::setSection(
	'karigari_options',
	array(
		'title'  => esc_html__( 'Typography', 'karigari' ),
		'id'     => 'typography-opt',
		'icon'   => 'el el-text-width',
		'desc'   => esc_html__( 'This section contains options for Typography.', 'karigari' ),
		'fields' => array(

			array(
				'id'       => 'opt-typography-body',
				'type'     => 'typography',
				'title'    => esc_html__( 'Body Font', 'karigari' ),
				'color'    => false,
				'subtitle' => esc_html__( 'Specify the body font properties.', 'karigari' ),
				'google'   => true,
				'output'   => array( 'body,.Categories .product-category.category-slider .wpcategories-content .categories-sub-title, .Categories .product-category.category-slider .categories-text .categories-title, .category-style4 .wpcat-content .cat_name a, .category-style2 .wpcat-content .cat_name a, .product .woocommerce-loop-product__title, .navbar-hamburger ul.hamburger-nav li ul li a, .page-header .breadcrumbs #crumbs span.active, .wp-block-search .wp-block-search__label' ),
				'text-align' => false,
				'subsets' => false,
				'font-backup' => true,
				'line-height' => false,
			),

			array(
				'id'       => 'opt-typography-menu',
				'type'     => 'typography',
				'title'    => esc_html__( 'Menu Font', 'karigari' ),
				
				'color'    => false,
				'subtitle' => esc_html__( 'Specify the menu font properties.', 'karigari' ),
				'google'   => true,
				'output'   => array( '.navbar-hamburger ul.hamburger-nav li a, #mega-menu-wrap-header-menu #mega-menu-header-menu > li.mega-menu-item > a.mega-menu-link, #mega-menu-wrap-header-menu #mega-menu-header-menu > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link, #mega-menu-wrap-header-menu #mega-menu-header-menu > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link' ),
				'text-align' => false,
				'subsets' => false,
				'font-backup' => true,
				'line-height' => false,
			),

			array(
				'id'       => 'opt-typography-primary',
				'type'     => 'typography',
				'title'    => esc_html__( 'Primary Font', 'karigari' ),
				
				'color'    => false,
				'subtitle' => esc_html__( 'Specify the primary font properties.', 'karigari' ),
				'google'   => true,
				'output'   => array( '.woocommerce-account #primary .woocommerce .woocommerce-MyAccount-navigation ul li a, a.youtube-popup p.btn.btn-primary, .tt-section-sab, .list-content .timer > div > p, .thumbnail-wrap .timer > div > p, .thumbnail-wrap .timer > div > div.text, .product .price .amount bdi, .product .price ins, .single-product .stickycart-popup .cart-wrap .product-button, .woocommerce-checkout .woocommerce .checkout .order_review-wrap .order_review-bg #payment .place-order .button, .single-product .buy-now-wrap, .single-product .product .entry-summary .cart-wrap .product-button, .single-product .single-product-image .karigari-sale, #yith-quick-view-modal .single-product.woocommerce span.onsale, section.product .karigari-sale span, .search-icon .top-search .search-form .search-title, .search-icon .top-search .search-form input, .right-header .mini-cart .dropdown-menu-mini-cart .shopping_cart_top .cart-title, .right-header .mini-cart .dropdown-menu-mini-cart .widget_shopping_cart_content ul li .product-details, .right-header .mini-cart .dropdown-menu-mini-cart .widget_shopping_cart_content .total strong, .right-header .mini-cart .dropdown-menu-mini-cart .widget_shopping_cart_content .buttons .button, .navbar-hamburger ul.hamburger-nav li a, .single-product .woocommerce-tabs ul.tabs li a, .blog-style .tt-post-details .tt-post-title h6, .woocommerce-account button.btn.btn-primary, .cart-content-right .cart-collaterals .cart_totals tr th, .cart-content-right .cart-collaterals .cart_totals tr td, .cart-content-right .cart-collaterals .shop_table, .page .cart-content-right .checkout-button, .woocommerce-cart .cart-content-left tr td a, .woocommerce-cart .cart-content-left td .amount, .woocommerce-cart .cart-content-left td.actions .button, .woocommerce-checkout .woocommerce .checkout .order_review-wrap .shop_table thead th, .woocommerce-checkout .woocommerce .checkout .order_review-wrap .shop_table th, .woocommerce-checkout .woocommerce .checkout .order_review-wrap .shop_table td, .woocommerce-checkout .woocommerce .checkout .order_review-wrap .shop_table tfoot th, .woocommerce-checkout .woocommerce .checkout .order_review-wrap .shop_table tfoot td' ),
				'text-align' => false,
				'subsets' => false,
				'font-backup' => true,
				'line-height' => false,
			),

			array(
				'id'          => 'h1-typography',
				'type'        => 'typography',
				'title'       => esc_html__( 'Typography H1', 'karigari' ),
				// 'compiler'      => true,  // Use if you want to hook in your own CSS compiler
				// 'google'      => false,
				// Disable google fonts. Won't work if you haven't defined your google api key
				'font-backup' => true,
				// Select a backup non-google font in addition to a google font
				// 'font-style'    => false, // Includes font-style and weight. Can use font-style or font-weight to declare
				// 'subsets'       => false, // Only appears if google is true and subsets not set to false
				// 'font-size'     => false,
				// 'line-height'   => false,
				// 'word-spacing'  => true,  // Defaults to false
				// 'letter-spacing'=> true,  // Defaults to false.
				'color'       => false,
				'all_styles'  => true,
				// Enable all Google Font style/weight variations to be added to the page.
				'output'      => array( 'h1' ),
				// An array of CSS selectors to apply this font style to dynamically.
				'compiler'    => array( 'site-description-compiler' ),
				// An array of CSS selectors to apply this font style to dynamically.
				'units'       => 'px',
				// Defaults to px.
				'subtitle'    => esc_html__( 'Typography option with each property can be called individually.', 'karigari' ),
				'text-align' => false,
				'subsets' => false,
				'line-height' => false,
			),

			array(
				'id'          => 'h2-typography',
				'type'        => 'typography',
				'title'       => esc_html__( 'Typography H2', 'karigari' ),
				// 'compiler'      => true,  // Use if you want to hook in your own CSS compiler
				// 'google'      => false,
				// Disable google fonts. Won't work if you haven't defined your google api key
				'font-backup' => true,
				// Select a backup non-google font in addition to a google font
				// 'font-style'    => false, // Includes font-style and weight. Can use font-style or font-weight to declare
				// 'subsets'       => false, // Only appears if google is true and subsets not set to false
				// 'font-size'     => false,
				// 'line-height'   => false,
				// 'word-spacing'  => true,  // Defaults to false
				// 'letter-spacing'=> true,  // Defaults to false.
				'color'       => false,
				'all_styles'  => true,
				// Enable all Google Font style/weight variations to be added to the page.
				'output'      => array( 'h2' ),
				// An array of CSS selectors to apply this font style to dynamically.
				'compiler'    => array( 'site-description-compiler' ),
				// An array of CSS selectors to apply this font style to dynamically.
				'units'       => 'px',
				// Defaults to px.
				'subtitle'    => esc_html__( 'Typography option with each property can be called individually.', 'karigari' ),
				'text-align' => false,
				'subsets' => false,
				'line-height' => false,
			),

			array(
				'id'          => 'h3-typography',
				'type'        => 'typography',
				'title'       => esc_html__( 'Typography H3', 'karigari' ),
				// 'compiler'      => true,  // Use if you want to hook in your own CSS compiler
				// 'google'      => false,
				// Disable google fonts. Won't work if you haven't defined your google api key
				'font-backup' => true,
				// Select a backup non-google font in addition to a google font
				// 'font-style'    => false, // Includes font-style and weight. Can use font-style or font-weight to declare
				// 'subsets'       => false, // Only appears if google is true and subsets not set to false
				// 'font-size'     => false,
				// 'line-height'   => false,
				// 'word-spacing'  => true,  // Defaults to false
				// 'letter-spacing'=> true,  // Defaults to false.
				'color'       => false,
				'all_styles'  => true,
				// Enable all Google Font style/weight variations to be added to the page.
				'output'      => array( 'h3' ),
				// An array of CSS selectors to apply this font style to dynamically.
				'compiler'    => array( 'site-description-compiler' ),
				// An array of CSS selectors to apply this font style to dynamically.
				'units'       => 'px',
				// Defaults to px.
				'subtitle'    => esc_html__( 'Typography option with each property can be called individually.', 'karigari' ),
				'text-align' => false,
				'subsets' => false,
				'line-height' => false,
			),

			array(
				'id'          => 'h4-typography',
				'type'        => 'typography',
				'title'       => esc_html__( 'Typography H4', 'karigari' ),
				
				// 'compiler'      => true,  // Use if you want to hook in your own CSS compiler
				// 'google'      => false,
				// Disable google fonts. Won't work if you haven't defined your google api key
				'font-backup' => true,
				// Select a backup non-google font in addition to a google font
				// 'font-style'    => false, // Includes font-style and weight. Can use font-style or font-weight to declare
				// 'subsets'       => false, // Only appears if google is true and subsets not set to false
				// 'font-size'     => false,
				// 'line-height'   => false,
				// 'word-spacing'  => true,  // Defaults to false
				// 'letter-spacing'=> true,  // Defaults to false.
				'color'       => false,
				'all_styles'  => true,
				// Enable all Google Font style/weight variations to be added to the page.
				'output'      => array( 'h4, .tt-feature-box-containt h4' ),
				// An array of CSS selectors to apply this font style to dynamically.
				'compiler'    => array( 'site-description-compiler' ),
				// An array of CSS selectors to apply this font style to dynamically.
				'units'       => 'px',
				// Defaults to px.
				'subtitle'    => esc_html__( 'Typography option with each property can be called individually.', 'karigari' ),
				'text-align' => false,
				'subsets' => false,
				'line-height' => false,
			),

			array(
				'id'          => 'h5-typography',
				'type'        => 'typography',
				'title'       => esc_html__( 'Typography H5', 'karigari' ),
				
				// 'compiler'      => true,  // Use if you want to hook in your own CSS compiler
				// 'google'      => false,
				// Disable google fonts. Won't work if you haven't defined your google api key
				'font-backup' => true,
				// Select a backup non-google font in addition to a google font
				// 'font-style'    => false, // Includes font-style and weight. Can use font-style or font-weight to declare
				// 'subsets'       => false, // Only appears if google is true and subsets not set to false
				// 'font-size'     => false,
				// 'line-height'   => false,
				// 'word-spacing'  => true,  // Defaults to false
				// 'letter-spacing'=> true,  // Defaults to false.
				'color'       => false,
				'all_styles'  => true,
				// Enable all Google Font style/weight variations to be added to the page.
				'output'      => array( 'h5' ),
				// An array of CSS selectors to apply this font style to dynamically.
				'compiler'    => array( 'site-description-compiler' ),
				// An array of CSS selectors to apply this font style to dynamically.
				'units'       => 'px',
				// Defaults to px.
				'subtitle'    => esc_html__( 'Typography option with each property can be called individually.', 'karigari' ),
				'text-align' => false,
				'subsets' => false,
				'line-height' => false,
			),

			array(
				'id'          => 'h6-typography',
				'type'        => 'typography',
				'title'       => esc_html__( 'Typography H6', 'karigari' ),
				
				// 'compiler'      => true,  // Use if you want to hook in your own CSS compiler
				// 'google'      => false,
				// Disable google fonts. Won't work if you haven't defined your google api key
				'font-backup' => true,
				// Select a backup non-google font in addition to a google font
				// 'font-style'    => false, // Includes font-style and weight. Can use font-style or font-weight to declare
				// 'subsets'       => false, // Only appears if google is true and subsets not set to false
				// 'font-size'     => false,
				// 'line-height'   => false,
				// 'word-spacing'  => true,  // Defaults to false
				// 'letter-spacing'=> true,  // Defaults to false.
				'color'       => false,
				'all_styles'  => true,
				// Enable all Google Font style/weight variations to be added to the page.
				'output'      => array( 'h6' ),
				// An array of CSS selectors to apply this font style to dynamically.
				'compiler'    => array( 'site-description-compiler' ),
				// An array of CSS selectors to apply this font style to dynamically.
				'units'       => 'px',
				// Defaults to px.
				'subtitle'    => esc_html__( 'Typography option with each property can be called individually.', 'karigari' ),
				'text-align' => false,
				'subsets' => false,
				'line-height' => false,
			),
		),
	)
);

