<?php
/**
 * karigari Redux Color Customization
 *
 * @package karigari
 * @subpackage karigari
 * @since karigari 1.0
 */

/**
 * Redux Color Customization Function
 */
function karigari_color_customization() {

	$karigari_options = get_option( 'karigari_options' );
	$custom_css = '';

	$primary_color   = $karigari_options['primery-color'];
	$secondary_color = $karigari_options['secondary-color'];
	$tertiary_color  = $karigari_options['tertiary-color'];
	$border_color  = $karigari_options['border-color'];
	if( ! empty( $karigari_options['opt-palette-color'] ) ){
		$color_palette = $karigari_options['opt-palette-color'];
		if( $color_palette == "palettes-1" ){
			$primary_color   = "#a55e3f";
			$secondary_color = "#222222";	
		}elseif( $color_palette == "palettes-2" ){
			$primary_color   = "#da6647";
			$secondary_color = "#222222";
		}elseif( $color_palette == "palettes-3" ){
			$primary_color   = "#5b8567";
			$secondary_color = "#222222";	
		}elseif( $color_palette == "palettes-4" ){
			$primary_color   = "#567284";
			$secondary_color = "#222222";
		}elseif( $color_palette == "palettes-5" ){
			$primary_color   = "#e48531";
			$secondary_color = "#222222";
		}elseif( $color_palette == "palettes-6" ){																				
			$primary_color   = "#202220";
			$secondary_color = "#383b38";
		}
	}

	// Primary Color.
	if ( ! empty( $primary_color ) ) {

		$custom_css .= "
		.blog-style .tt-post-details .tt-post-title h6:hover a,#primary .woocommerce.widget_rating_filter ul li a .star-rating::before, .single-product .woocommerce-product-rating .star-rating::before, .single-product .commentlist .review .comment-text .star-rating::before,	.product-review-tab .rating-wrap .rating-bar svg, .product .product-content-wrap .woocommerce-loop-product__title:hover, .product .wrap-rate .star-rating::before, .product .star-rating span::before, .mc4wp-form .mc4wp-form-fields .news_letter button:hover svg, .category-style4 .swiper-slide:hover .wpcat-content .cat_name a, .category-style2 .swiper-slide:hover .wpcat-content .cat_name a, .Categories .product-category.category-slider .wpcategories-content .categories-sub-title, .contact-info .contact-text:hover svg, .Categories .product-category.category-slider .wpcategories-content .categories-tag, .Blog-section-title .text-tag, .tt-section-title .text-tag, .title-wrap .product-title .title-text-tag, .tt-post-details .tt-post-title h2 a:hover, #gallary_tabs .category-name-wrap li.category-name.active a,  .order_details .woocommerce-table__line-item .product-name a:hover, .category-item-02 .cat_desc .wpcat-content .cat_total_product, footer .main-footer a:hover, .tt-feature-box:hover .tt-feature-box-containt .tt-feature-box-title,.tt-feature-box-containt:hover h4,.tt-section-sab,.blog-style .tt-post-details .tt-post-meta,.blog-style .tt-post-details .tt-post-meta::after,.blog-style .tt-post-wrapper div.tt-post-more:hover a,.blog-style .tt-post-title a:hover,.Categories .product-category.category-slider .wpcategories-content .button-categories-wrap a:hover,.Blog-section-title .button-title-wrap a.title-button:hover,.swiper-navigation .swiper-button:hover svg,.tt-banner .banner-text .banner-sub-title,.right-header .mini-cart .dropdown-menu-mini-cart .widget_shopping_cart_content .buttons .button:hover,.woocommerce-account #primary .woocommerce .woocommerce-MyAccount-navigation ul li.is-active a, .woocommerce-account #primary .woocommerce .woocommerce-MyAccount-navigation ul li a:hover, .woocommerce-account .woocommerce .woocommerce-MyAccount-content h3 strong,.woocommerce-account .woocommerce a:hover,.woocommerce-account .woocommerce .woocommerce-MyAccount-content h3 span a,.wishlist_table .product-price .amount, .quantity .amount,.woocommerce-active #primary .widget_block ul li a:hover,.wc-block-stock-filter .wc-block-stock-filter-list li label:hover .wc-block-components-checkbox__label, .woocommerce-active #primary .widget_block .wc-block-attribute-filter ul li:hover label .wc-block-components-checkbox__label, .woocommerce-active #primary .widget_block .wc-block-attribute-filter ul li:hover > label,.error-404.not-found h2,.header_style .site-branding a:hover, .search-icon .search-wrap:hover,.tt-post-meta-wrap div a:hover,.wc-block-components-checkbox .wc-block-components-checkbox__label:hover,.left-header .head-top-call a:hover,  .comment-respond .comment-form-rating p.stars.selected a.active::before, .comment-respond .comment-form-rating p.stars.selected a:not(.active)::before, body p.stars:hover a::before, #mega-menu-wrap-header-menu #mega-menu-header-menu > li ul.mega-sub-menu li.mega-menu-item.mega-menu-item-has-children:hover > a.mega-menu-link,.wpml-ls-legacy-dropdown a.wpml-ls-item-toggle:hover::before,.product.wcml-dropdown .wcml-cs-active-currency:hover > a, .product.wcml-dropdown .wcml-cs-active-currency:focus > a, .product.wcml-dropdown .wcml-cs-active-currency > a:hover::before,footer ul.social-media li:hover svg,footer .widget .contact-info li a:hover svg
		{
            color: $primary_color;
		}";

		$custom_css .= "
		.site-header ul#hamburger-menu li:hover > a, .site-header .navbar-hamburger ul#hamburger-menu ul.sub-menu li.show > a, .site-header ul#hamburger-menu li.show > a, .custom.tparrows.tp-leftarrow::before,
		.custom.tparrows.tp-rightarrow::before 
		{
            color: $primary_color !important;
		}";


		$custom_css .= "
		.wc-block-components-price-slider__actions button:not(.wp-block-search__button).wc-block-components-filter-submit-button::after, .rs-button.rs-button-01::after, .swiper-slide:hover .tt-feature-box-icon, .category-style3 .cat_icon::after, header.site-header.sticky.header-style-1 .header-spacing, .back-to-top.active-progress:hover, body .navbar-hamburger ul.hamburger-nav li.show > span::before, body .navbar-hamburger ul.hamburger-nav li:hover > span.toggle-sub-menu::before, .header-style-1.header_style.site-header.transparent, .single-product .stickycart-popup .cart-wrap .product-button, .category-grid.product-category .swiper-wrapper .swiper-slide > a .wpcat-content .cat_name::after,.pagination .page-numbers li .current, .pagination .page-numbers li > a:hover, .pagination .page-numbers li > a:active, .single-product .site-main .xs_social_share_widget ul li a:hover, .pagination .page-numbers li > a:focus,  .slider-buttom-04 .elementor-button::after, .woocommerce-checkout .woocommerce .checkout .order_review-wrap .order_review-bg #payment .place-order .button, .page .cart-content-right .checkout-button,.tt-banner .banner-tag a, .header-swiper, .product .product-button::after,.pagination .page-numbers li .current, .pagination .page-numbers li > a:hover, .pagination .page-numbers li > a:active, .pagination .page-numbers li > a:focus, .section-back-to-top:hover,.tt-post-more a:focus::before, .tt-post-more a:active::before, .right-header .mini-cart .dropdown-menu-mini-cart .widget_shopping_cart_content .buttons .button.checkout,.btn-primary::after,.video_section .section-heading::after,.ui-tabs-nav .ui-tabs-tab a::before,.return-to-shop .btn.btn-secondary::after, section.product .cart-wrap a::after, .product .product-button-wrap .btn-hv a::after,.product-layout-default section.product .cart-wrap .product-button.loading,.product .product-button-wrap .compare a.added,.blog-style .tt-post-more:hover a::before,.night-light-label .night-light-ball,.single-product .prev_next_buttons a:hover,.product .product-button-wrap .cart-wrap a::after,.swiper .swiper-pagination-progressbar .swiper-pagination-progressbar-fill,.single-product .product .entry-summary .cart-wrap .product-button::after,.buy-now-wrap .btn-primary,.buy-now-wrap .btn-primary::after,.thumbnail-slider-style1 .single-product-thumbnail .images .product-360-slider-wrap .slider.nslick-slider i.nslick-arrow:hover,.woocommerce-account .woocommerce .woocommerce-MyAccount-navigation ul li a::after,.woocommerce-account .btn.btn-secondary,.woocommerce-account button.btn.btn-primary,table.wishlist_table tbody td .cart-wrap,.outofstock .thumbnail-wrap .out-of-stock,.product-layout-default section.product .cart-wrap .product-button:active, .product-layout-default section.product .cart-wrap .product-button:focus,.sidebar-filter li.wc-block-product-categories-list-item:hover .wc-block-product-categories-list-item-count,.wc-block-stock-filter .wc-block-stock-filter-list li label:hover .wc-filter-element-label-list-count, .woocommerce-account button.btn.btn-primary.woocommerce-form-register__submit::after, .woocommerce-active #primary .wc-block-attribute-filter ul li:hover label .wc-filter-element-label-list-count,.thumbnail-slider-style1 .left-slider .single-product-thumbnail #nickx-gallery i.thumb_arrow.btn-next:hover, .single-product-thumbnail #nickx-gallery i.thumb_arrow.btn-next:hover, .thumbnail-slider-style1 .left-slider .single-product-thumbnail #nickx-gallery i.thumb_arrow.btn-prev:hover, .single-product-thumbnail #nickx-gallery i.thumb_arrow.btn-prev:hover,.error404 .search-form.search__form button,.comingsoon-form .mc4wp-form .mc4wp-form-fields .news_letter button,.single-product .product .entry-summary .cart-wrap .product-button.loading,.return-to-shop .btn.btn-secondary::after, section.product .cart-wrap a::after, .product .product-button-wrap .btn-hv a::after, input[type='submit']:hover, .return-to-shop .btn.btn-secondary,.header-stickybar a #mini-cart-count,.right-header .mini-cart .dropdown-menu-mini-cart .widget_shopping_cart_content .buttons .button:hover::after, header #mega-menu-wrap-header-menu #mega-menu-header-menu.max-mega-menu > li.mega-menu-item > a.mega-menu-link::before, .cat_desc .cat_image .cat_image_box::before{
			background-color : $primary_color;
		}";
		
		$custom_css .= "
		.custom.tparrows.tp-leftarrow.rs-touchhover,
		.custom.tparrows.tp-rightarrow.rs-touchhover{
			background-color : $primary_color !important;
		}";

		$custom_css .= "
		.swiper-slide:hover .tt-feature-box-icon, .category-style3 .cat_icon:hover, .pagination .page-numbers li .current, .pagination .page-numbers li > a:hover, .pagination .page-numbers li > a:active, .pagination .page-numbers li > a:focus, .pagination .page-numbers li .current, .pagination .page-numbers li > a:hover, .pagination .page-numbers li > a:active, .pagination .page-numbers li > a:focus,.custom.tparrows.tp-rightarrow,#mega-menu-wrap-header-menu .mega-menu-toggle.mega-menu-open + #mega-menu-header-menu,
		.custom.tparrows.tp-leftarrow,.Categories .product-category.category-slider .wpcategories-content .button-categories-wrap a:hover,.Blog-section-title .button-title-wrap a.title-button:hover,.cat_desc:hover .cat_image::after,.woocommerce-active #primary .widget_block ul li:hover .wc-block-components-checkbox label .wc-block-components-checkbox__input,#mega-menu-wrap-header-menu #mega-menu-header-menu > li.mega-menu-flyout ul.mega-sub-menu,#mega-menu-wrap-header-menu #mega-menu-header-menu>li.mega-menu-megamenu>ul.mega-sub-menu,.wpml-ls-legacy-dropdown .wpml-ls-sub-menu
		{ 
			  border-color: $primary_color; 
		}";
	}

	// Secondary Color.
	if ( ! empty( $secondary_color ) ) {

		$custom_css .= "
		.section-heading, .tt-banner .banner-text, .site-wrap .main-navigation ul li a,.site-header #site-navigation ul.nav-menu li.menu-item a,.Categories .product-category.category-slider .categories-text .categories-title, .navbar-hamburger ul.hamburger-nav li a,.category-style4 .wpcat-content .cat_name a, .category-style2 .wpcat-content .cat_name a, .wp-block-heading, .product .cart-wrap a, .pagination .page-numbers li>a, .pagination .page-numbers li>span .cat_group .cat_button .view_all_button, .video_cms .button-title-wrap a.title-button, section.product.product-type-grouped .cart-wrap a::before, section.product .cart-wrap a.product_type_variable::before, section.product.product-type-external .cart-wrap a::before, .product-trending .button-title-wrap a.title-button,a.youtube-popup p.btn.btn-primary, .product .price .amount bdi, .product .price ins, .single-product .summary .timer>div>p, .single-product .entry-summary .product_title, .product .product-button-wrap .btn-hv a::before, .head-hamburger-menu svg, .more-comment-wrap .tt-post-more a, .sticky-addToCart .stickycart-popup .sticky-addcart-info .sticky-content .title, .owl-carousel .owl-nav .owl-next::before, .owl-carousel .owl-nav .owl-prev::before, .back-to-top::after, .item .wpcat-content a, .tt-feature-box .tt-feature-box-containt .tt-feature-box-title,.banner-timer .timer-head, .woocommerce.widget .widget-title,  .woocommerce-tabs ul li a,.thumbnail-wrap .timer p.saleend,  #gallary_tabs .category-button a, .right-header .mini-cart .dropdown-menu-mini-cart .shopping_cart_top .cart-title, .right-header .mini-cart .dropdown-menu-mini-cart .widget_shopping_cart_content .buttons .button, .single-product .woocommerce-tabs ul.tabs li a:hover, .single-product .woocommerce-tabs ul.tabs li.active a, .header_style .site-branding a, .search-icon .search-wrap, .right-header .mini-cart .dropdown-menu-mini-cart .widget_shopping_cart_content .total .amount, .right-header .mini-cart .dropdown-menu-mini-cart .widget_shopping_cart_content .total strong, .testimonial-wrap .testimonial-info-wrapper .testimonial-title,.single-product .product_meta .sku_wrapper, .single-categories span,.wp-block-search .wp-block-search__label, .widget h2, .tt-post-wrapper .tt-post-details .tt-post-title>h2 a, .timer p, h1, h2, h3, h4, h5, h6, .up-sells h3, .single-product .recent-product .product-section-title, .related.products h3, .single-product .prev_next_buttons a svg, .Blog-section-title, .blog-style .tt-post-details .tt-post-title h6 a, .single-product .site-main .xs_social_share_widget ul li a span, .woocommerce .woocommerce-form-coupon-toggle .woocommerce-info a, woocommerce-additional-fields h3
		{ 
			color: $secondary_color; 
		}";

		$custom_css .= "

		.rs-button::after, .single-product .single-product-image .karigari-sale, #yith-quick-view-modal .single-product.woocommerce span.onsale, section.product .karigari-sale span, .video_title::after, .woocommerce-checkout .woocommerce .checkout .order_review-wrap .order_review-bg #payment .place-order .button::after, .btn.btn-primary, .right-header .mini-cart .dropdown-menu-mini-cart .widget_shopping_cart_content .buttons .button:after, .single-product .woocommerce-tabs ul.tabs li a::after, .single-product .summary .single_variation_wrap .woocommerce-variation-add-to-cart .single_add_to_cart_button, input[type='submit'], .single-product .product .entry-summary .cart-wrap .product-button, .buy-now-wrap .btn-primary:hover:after, .wc-block-components-price-slider__actions button:not(.wp-block-search__button).wc-block-components-filter-submit-button, .page .cart-content-right .checkout-button::after, .tt-banner .banner-tag a::after, .right-header .mini-cart .dropdown-menu-mini-cart .widget_shopping_cart_content .buttons .button.checkout::before, #gallary_tabs .category-button a::after
		{
			background : $secondary_color;
		}";

		$custom_css .= "
		.video_title::before
		{
			background : -moz-linear-gradient(to right, $secondary_color , #fff);
		}";


		$custom_css .= "
		.product-top-sorting .product-sort-view .view:hover svg path, .product-top-sorting .product-sort-view .view.active svg path
		{
			fill : $secondary_color;
		}";
		

	}

	// Tertiary Color.
	if ( ! empty( $tertiary_color ) ) {

		$custom_css .= " 
		 .tt-banner .banner-text.karigari-icon-center,.product-trending .button-title-wrap a.title-button:hover, .wpml-ls-legacy-dropdown a.wpml-ls-item-toggle::before, .product.wcml-dropdown .wcml-cs-active-currency>a, .product.wcml-dropdown .wcml-cs-active-currency>a::before, .header-style-1.header_style .site-branding a svg, .header-style-1 .search-icon .search-wrap svg, .wpml-ls-legacy-dropdown a.wpml-ls-item-toggle,  h1.title, .page-header .breadcrumbs #crumbs, .page-header .breadcrumbs #crumbs a{
			 color: $tertiary_color; 
		} ";
		$custom_css .= " 
		.thumbnail-wrap .timer,
		header .head-hamburger-menu .humburger_icon::before, header .head-hamburger-menu .humburger_icon #icon::before, header .head-hamburger-menu .humburger_icon #icon::after, .cat_group .cat_button .view_all_button, a.youtube-popup p.btn.btn-primary, .right-header .mini-cart .dropdown-back .basket-item-count #mini-cart-count{
			background: $tertiary_color; 
	   } ";
	   $custom_css .= " 

	   .header-style-1.header_style .site-branding a svg, .header-style-1 .search-icon .search-wrap svg{
			stroke: $tertiary_color; 
	   } ";
	}

	// Border Color.
	if ( ! empty( $border_color ) ) {

		$custom_css .= " 
		.single-product .entry-summary .list-timer, .tt-post-meta-wrap, .search-form input[type='search'], .widget.widget_search input[type='search'], .wp-block-search input[type='search'], .single-product .product .sticky-addToCart .quantity, .variations_form .variations td.value .select_box.attribute_pa_size .select_option span, table.wishlist_table tbody td, .woocommerce-account .woocommerce-MyAccount-content .edit-account fieldset, .woocommerce-account .woocommerce .woocommerce-MyAccount-navigation, .woocommerce-account .woocommerce #customer_login .u-column1, .woocommerce-checkout .woocommerce .checkout .order_review-wrap .shop_table th, .woocommerce-checkout .woocommerce .checkout .order_review-wrap .shop_table td, .woocommerce-cart .cart-content-left th, .woocommerce-cart .cart-content-left td, .woocommerce-cart .woocommerce-cart-form .product-quantity .quantity, .single-product .product .sticky-addToCart .quantity, .single-product.thumbnail-slider-style2 .woocommerce-tabs ul li, .single-product.thumbnail-slider-style3 .woocommerce-tabs ul li, .single-product .product .entry-summary .price, .single-product .product_meta, .single-product .woocommerce-tabs ul.tabs, .single-product .woocommerce-tabs, .woocommerce-active.archive .shop-sidebar .sidebar-filter .widget, .woocommerce-active.archive .shop-nosidebar .widget, .product-top-sorting .select-wrap select, .woocommerce .select2-container--default .select2-selection--single, .widget_block .wc-block-price-filter__title::after, .widget .wc-block-attribute-filter__title::after, .woocommerce.widget .widget-title::after, .widget .wc-block-attribute-filter .components-form-token-field, .product .product-button-wrap, .product .product-button-wrap .btn-hv::before, .right-header .mini-cart .dropdown-menu-mini-cart .cart-slider, .page-links a.post-page-numbers, .pagination .page-numbers li>a, .pagination .page-numbers li>span, .comment-list li.comment .comment-body, #post_sidebar .widget ul li, #post_sidebar .widget ol li, .single-post .tt-post-details ul.wp-block-archives-list li, footer.site-footer, .wp-block-table.is-style-stripes, blockquote, .wp-block-quote.is-style-large, table, table td, table th, .woocommerce-active.single-post .tt-post-wrapper, .widget-area .widget, .blog .format-standard .tt-post-wrapper
		{
			 border-color: $border_color; 
		} ";

	}


	wp_add_inline_style( 'karigari-custom', $custom_css );
}
add_action( 'wp_enqueue_scripts', 'karigari_color_customization', 10 );
