<?php
/**
 * karigari Redux Dynamic CSS
 *
 * @package karigari
 * @subpackage karigari
 * @since karigari 1.0
 */

/**
 * Redux Dynamic CSS
 */
function karigari_dynamic_css() {
	
	if( class_exists( 'ReduxFramework' ) && function_exists( 'loadmore_postSC' ) ) {

		$karigari_options = get_option( 'karigari_options' );

		$dynamic_css = '';

		// Header Transparent.
		$header_tran_bg = '';
		if ( $karigari_options['header-transparent'] == '1' ) {
			if ( ! empty( $karigari_options['header_tran_bg']['rgba'] ) ) {
				$header_tran_bg = $karigari_options['header_tran_bg']['rgba'];
			}
		}

		$container = $karigari_options['container-width'];
		$dynamic_css .= 
			'@media (min-width: '. $container['width'] .') {
				.container{
					max-width: '. $container['width'] .';
					width:  100%;
				}
			}';
			

		// Footer Color.
		if ( ! empty( $karigari_options['css-code'] ) ) {
			$karigari_css    = $karigari_options['css-code'];
			$dynamic_css .= esc_attr( $karigari_css );
		}
		wp_add_inline_style( 'karigari-responsive', $dynamic_css );
	}
}
add_action( 'wp_enqueue_scripts', 'karigari_dynamic_css', 20 );
