<?php
/**
 * Required Plugins
 *
 * @package karigari
 * @subpackage karigari
 * @since karigari 1.0
 */

/**
 * Include the TGM_Plugin_Activation class.
 */
require_once get_template_directory() . '/inc/tgm/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'karigari_theme_register_required_plugins' );

/**
 * Register the required plugins for this theme.
 *
 *  <snip />
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
function karigari_theme_register_required_plugins() {
	/*
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(
		array(
			'name'     => esc_html__( 'Karigari Extension', 'karigari' ),
			'slug'     => 'karigari-extension',
			'source'   => esc_url( 'https://wordpress.templatetrip.com/pkg-plugins/WCM006_karigari/karigari-extension.zip' ),
			'required' => true,
		),

		array(
			'name'     => esc_html__( 'Revolution Slider', 'karigari' ),
			'slug'     => 'revslider',
			'source'   => esc_url( 'https://wordpress.templatetrip.com/pkg-plugins/revslider.zip' ),
			'required' => true,
		),
		

		array(
			'name'     => esc_html__( 'Elementor', 'karigari' ),
			'slug'     => 'elementor',
			'required' => true,
		),

		array(
			'name'     => esc_html__( 'Woocommerce', 'karigari' ),
			'slug'     => 'woocommerce',
			'required' => true,
		),

		array(
			'name'     => esc_html__( 'Yith Color and Label Variations for Woocommerce', 'karigari' ),
			'slug'     => 'yith-color-and-label-variations-for-woocommerce',
			'required' => true,
		),

		array(
			'name'     => esc_html__( 'YITH Woocommerce Wishlist', 'karigari' ),
			'slug'     => 'yith-woocommerce-wishlist',
			'required' => true,
		),

		array(
			'name'     => esc_html__( 'YITH Woocommerce Quick View', 'karigari' ),
			'slug'     => 'yith-woocommerce-quick-view',
			'required' => true,
		),

		array(
			'name'     => esc_html__( 'YITH Woocommerce Compare', 'karigari' ),
			'slug'     => 'yith-woocommerce-compare',
			'required' => true,
		),

		array(
			'name'     => esc_html__( 'Mailchimp', 'karigari' ),
			'slug'     => 'mailchimp-for-wp',
			'required' => true,
		),
		array(
			'name'     => esc_html__( 'Max Mega Menu', 'karigari' ),
			'slug'     => 'megamenu',
			'required' => true,
		),

		array(
			'name'     => esc_html__( 'Redux Framework', 'karigari' ),
			'slug'     => 'redux-framework',
			'required' => true,
		),

		array(
			'name'     => esc_html__( 'One Click Demo Import', 'karigari' ),
			'slug'     => 'one-click-demo-import',
			'required' => true,
		),

		array(
			'name'     => esc_html__( 'Contact Form 7', 'karigari' ),
			'slug'     => 'contact-form-7',
			'required' => true,
		),

	);

	/*
	 * Array of configuration settings. Amend each line as needed.
	 *
	 * TGMPA will start providing localized text strings soon. If you already have translations of our standard
	 * strings available, please help us make TGMPA even better by giving us access to these translations or by
	 * sending in a pull-request with .po file(s) with the translations.
	 *
	 * Only uncomment the strings in the config array if you want to customize the strings.
	 */
	$config = array(
		'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'parent_slug'  => 'themes.php',            // Parent menu slug.
		'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
	);
	tgmpa( $plugins, $config );
}
