<?php
/**

 * Template for displaying search forms in Twenty Seventeen
 *
 * @package WordPress

 * @subpackage karigari

 * @since karigari 1.0

 * @version 1.0
 */

?>
<?php $id = esc_html( uniqid( 'btn-search-close' ) ); ?>

<div class="search">
	<button class="search-close-btn" aria-label="Close search form">
	  <i class="ion-close-round" aria-hidden="true"></i>
	  <i class="fas fa-times"></i>
	</button>

	<form method="get" class="search-form search__form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
		<div class="search_box position-relative">
			<input type="search" id="<?php echo esc_attr( $id ); ?>" class="search-field search__input" placeholder="<?php esc_attr_e( 'Enter Search Keyword...', 'karigari' ); ?>" name="s" autofocus>
			<button type="submit" class="search-submit"><svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg><span class="screen-reader-text"><?php esc_html_e( 'Search', 'karigari' ); ?></span></button> 
		</div>
	</form>
</div>
