<?php
/**
 * Pagination - Show numbered pagination for catalog pages
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/pagination.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 9.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$total   = isset( $total ) ? $total : wc_get_loop_prop( 'total_pages' );
$current = isset( $current ) ? $current : wc_get_loop_prop( 'current_page' );
$base    = isset( $base ) ? $base : esc_url_raw( str_replace( 999999999, '%#%', remove_query_arg( 'add-to-cart', get_pagenum_link( 999999999, false ) ) ) );
$format  = isset( $format ) ? $format : '';

if ( $total <= 1 ) {
	return;
}

if( class_exists( 'ReduxFramework' ) && function_exists( 'loadmore_postSC' ) ) {
	$karigari_options = get_option( 'karigari_options' );
	if( $karigari_options['product-pagination'] == "infinite" ){
		echo '<div id="product_loadmore" class="product_loadmore infinite product_infinite"><div class="shop-loadmore btn btn-primary">'. esc_html__( 'More posts', 'karigari' ) .'</div></div>';
	}elseif( $karigari_options['product-pagination'] == "ajax" ){
		echo '<div id="product_loadmore" class="product_loadmore loadButton product_loadButton"><div class="shop-loadmore btn btn-primary">'. esc_html__( 'More posts', 'karigari' ) .'</div></div>';
	}else{
		?>
		<div class="pagination justify-content-center">
			<nav class="woocommerce-pagination Page navigation">
				<?php
				echo paginate_links(
					apply_filters(
						'woocommerce_pagination_args',
						array( // WPCS: XSS ok.
							'base'      => $base,
							'format'    => $format,
							'add_args'  => false,
							'current'   => max( 1, $current ),
							'total'     => $total,
							'prev_text' => '',
							'next_text' => '',
							'type'      => 'list',
							'end_size'  => 3,
							'mid_size'  => 3,
						)
					)
				);
				?>
			</nav>
		</div>
		<?php
	}
}else{
	?>
	<div class="pagination justify-content-center">
		<nav class="woocommerce-pagination Page navigation">
			<?php
			echo paginate_links(
				apply_filters(
					'woocommerce_pagination_args',
					array( // WPCS: XSS ok.
						'base'      => $base,
						'format'    => $format,
						'add_args'  => false,
						'current'   => max( 1, $current ),
						'total'     => $total,
						'prev_text' => '',
						'next_text' => '',
						'type'      => 'list',
						'end_size'  => 3,
						'mid_size'  => 3,
					)
				)
			);
			?>
		</nav>
	</div>
	<?php
}
