<?php
/**
 * Single Product Meta
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/meta.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     9.7.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product;
?>
<div class="product_meta">

	<?php do_action( 'woocommerce_product_meta_start' ); ?>

	<?php echo wc_get_product_tag_list( $product->get_id(), ', ', '<span class="tagged_as">' . _n( 'Tag:', 'Tags:', count( $product->get_tag_ids() ), 'karigari' ) . ' ', '</span>' ); ?>

	<?php
	$terms = get_the_terms( $product->get_id(), 'brand' );

	if ( !is_wp_error( $terms ) ) {
		if( !empty( $terms ) ){		
			echo '<div class="single-categories">';
				echo '<span>'.esc_html__( 'Brands : ', 'karigari' ).'</span>';
				echo '<div class="karigari-brands">';
				foreach ( $terms as $term ) {
					if( ! empty( $term->name ) ){
						echo '<a href="'. get_term_link( $term->term_id ) .'">'.$term->name.'</a>';
					}
				}
				echo '</div>';
			echo '</div>';
		}
	}
	?>

	<?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) { ?>

		<span class="sku_wrapper"><?php esc_html_e( 'SKU:', 'karigari' ); ?> <span class="sku"><?php echo esc_html( $sku = $product->get_sku() ) ? esc_html( $sku ) : esc_html__( 'N/A', 'karigari' ); ?></span></span>

	<?php } ?>

	<?php echo wc_get_product_category_list( $product->get_id(), ', ', '<span class="posted_in">' . esc_html_x( 'Category:', 'Categories:', count( $product->get_category_ids() ), 'karigari' ) . ' ', '</span>' ); ?>

	<?php do_action( 'woocommerce_product_meta_end' ); ?>
</div>
